\NeedsTeXFormat{LaTeX2e}
\usepackage[danish]{babel}
\usepackage[latin1]{inputenc}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{epsfig}
\usepackage{a4wide}

\newcommand{\HRule}{\rule{\linewidth}{1mm}}
\newcommand\@place{}
\newcommand\@subtitle{}
\newcommand\subtitle[1]{\renewcommand\@subtitle{\\#1}}
\newcommand\place[1]{\renewcommand\@place{#1}}
\newcommand\signature[1]{\begin{minipage}[b]{7cm}
      \begin{center}
        \vskip 1.5cm%
        \rule{5cm}{1sp}\\[0mm]
        \emph{#1}
      \end{center}
    \end{minipage} }

\newcommand\conclusion{\chapter*{Konklusion}}



\newenvironment{Example}[1]
{
  \setlength\parindent{0cm}
  \vskip 7mm
  \rule{\linewidth}{0.5pt}\\
  {\large \bf{Eksempel :} #1}\\[0cm]
  \rule{\linewidth}{0.5pt}
  \begin{center}
  \begin{minipage}[b]{0.9\linewidth}}  
  {\end{minipage}\end{center}\rule{\linewidth}{0.5pt} 
}


\newenvironment{Program}[1]
{
  \rule{\linewidth}{0.5pt}\\
  {\large \bf{Program :} #1}\\[0cm]
  \rule{\linewidth}{0.5pt}
  \begin{verbatim}}  
  {\end{verbatim}\rule{\linewidth}{0.5pt} 
}


\renewcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  %%\null\vfil
  %%\vskip 60\p@
  {\center {\Large \bf{\@place} \par}} 
  \vspace*{\stretch{2}}%
  
  \setlength{\parindent}{0mm}
  \setlength{\parskip}{0mm}

  \HRule%
  \begin{flushright}
    \setlength\lineskip{5mm}
    \noindent {\Huge {\bf \@title} \@subtitle}  %
  \end{flushright}
  \HRule%

  %%\vskip 3em%
  \vspace*{\stretch{1}}%
  \begin{center}%
    {\LARGE
     \@author
     }%
      \vskip 0.5em%
  \end{center}\par
  \@thanks
  \vspace*{\stretch{2}}%
  {\center \Large \@date \par}%       % Set date in \large size.
  %\vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}

\endinput
